package model

import "github.com/google/uuid"

type BackendOIDCConfig struct {
	Issuer       string
	ClientID     string
	ClientSecret string
	RedirectURI  string
	Scopes       []string
}

type Backend struct {
	ID     uuid.UUID
	Name   string
	Config BackendOIDCConfig
}
